#!/usr/bin/env bash
set -euo pipefail

for file in ./*.$1; do
   map='';
   if [[ $# > 1 && $2 == 'map' ]]; then
   	  map='-map 0:0';
   fi
   echo "ffmpeg -i '$file' -c:a libfdk_aac -profile:a aac_he -b:a 64k -movflags +faststart $map '../m4a/${file%$1}m4a'";
   ffmpeg -i "$file" -c:a libfdk_aac -profile:a aac_he -b:a 64k -movflags +faststart $map "../m4a/${file%$1}m4a";
done

